> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Extraction Schema Generation Result Check

> Poll this endpoint to check status of an Extraction Schema Generation request and retrieve final results



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/marker/extraction/gen_schemas/{request_id}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/marker/extraction/gen_schemas/{request_id}:
    get:
      summary: Extraction Schema Generation Result Check
      description: >-
        Poll this endpoint to check status of an Extraction Schema Generation
        request and retrieve final results
      operationId: result_response_api_v1_marker_extraction_gen_schemas__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            title: Request Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractionGenSchemasResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExtractionGenSchemasResponse:
      properties:
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        suggestions:
          anyOf:
            - $ref: '#/components/schemas/GenSchema'
            - type: 'null'
        status:
          type: string
          title: Status
        result_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Url
          description: >-
            Signed URL for downloading the completed result JSON when direct
            result download is required.
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
          description: Number of seconds until result_url expires.
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Count
        total_cost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Cost
      type: object
      required:
        - status
      title: ExtractionGenSchemasResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GenSchema:
      properties:
        simple_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Simple Schema
        moderate_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Moderate Schema
        complex_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Complex Schema
      type: object
      required:
        - simple_schema
        - moderate_schema
        - complex_schema
      title: GenSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````